Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Private Member Functions | List of all members
eZSQLiteSchema Class Reference
Inheritance diagram for eZSQLiteSchema:

## Public Member Functions
| __construct ( $params)
| schema ( $params=array())
| parseType ( $type_info, &$length_info)
| generateTableSchema ( $tableName, $table, $params)
| generateTableSQLList ( $tableName, $table, $params, $separateTypes)
| isMultiInsertSupported ()
| escapeSQLString ( $value)
| schemaType ()
| schemaName ()
Public Member Functions inherited from eZDBSchemaInterface
| data ( $schema=false, $tableNameList=false, $params=array())
| validate ()
| writeUpgradeFile ( $differences, $filename, $params=array())
| writeSQLSchemaFile ( $filename, $params=array())
| writeSerializedSchemaFile ( $filename, $params=array())
| writeArraySchemaFile ( $filename, $params=array())
| insertSchema ( $params=array())
| appendSQLComments ( $def, &$sql)

## Private Member Functions
| fetchTableFields ( $table, $params)
| fetchTableIndexes ( $table, $params)
| generateAddIndexSql ( $table_name, $index_name, $def, $params, $isEmbedded=false)
| generateFieldDef ( $field_name, $def, &$skip_primary, $params=null)
| generateTableSQL ( $tableName, $tableDef, $params, $asArray, $separateTypes=false)
| generateDropTable ( $table, $params)

## Additional Inherited Members
Public Attributes inherited from eZDBSchemaInterface
| $DBInstance
| eZDB instance More...
| $Schema
| $Data
Protected Member Functions inherited from eZDBSchemaInterface
| fetchTableData ( $tableInfo, $offset=false, $limit=false)
| generateTableInsert ( $tableName, $tableDef, $dataEntries, $params)
| generateTableInsertSQLList ( $tableName, $tableDef, $dataEntries, $params, $withClosure=true)
| generateDataValueTextSQL ( $fieldDef, $value)
| generateAlterFieldSql ( $table_name, $field_name, $def, $params)
| generateAddFieldSql ( $table_name, $field_name, $def, $params)
| transformSchema (&$schema, $toLocal)
| transformData (&$data, $toLocal)

## Detailed Description

Definition at line 3 of file ezsqliteschema.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSQLiteSchema::__construct | ( |  | $params | ) |

Constructor

Parameters

  array | $params |

Reimplemented from eZDBSchemaInterface.

Definition at line 5 of file ezsqliteschema.php.

## Member Function Documentation

## ◆ escapeSQLString()

eZSQLiteSchema::escapeSQLString | ( |  | $value | ) |
| virtual

\reimp

Implements eZDBSchemaInterface.

Definition at line 516 of file ezsqliteschema.php.

## ◆ fetchTableFields()

eZSQLiteSchema::fetchTableFields | ( |  | $table,
|  |  | $params
| ) |  |
| private

Parameters

  table | name

Definition at line 55 of file ezsqliteschema.php.

References parseType().

Referenced by schema().

## ◆ fetchTableIndexes()

eZSQLiteSchema::fetchTableIndexes | ( |  | $table,
|  |  | $params
| ) |  |
| private

Definition at line 154 of file ezsqliteschema.php.

Referenced by schema().

## ◆ generateAddIndexSql()

eZSQLiteSchema::generateAddIndexSql | ( |  | $table_name,
|  |  | $index_name,
|  |  | $def,
|  |  | $params,
|  |  | $isEmbedded = `false`
| ) |  |
| private

Definition at line 214 of file ezsqliteschema.php.

## ◆ generateDropTable()

eZSQLiteSchema::generateDropTable | ( |  | $table,
|  |  | $params
| ) |  |
| private

Definition at line 500 of file ezsqliteschema.php.

## ◆ generateFieldDef()

eZSQLiteSchema::generateFieldDef | ( |  | $field_name,
|  |  | $def,
|  | & | $skip_primary,
|  |  | $params = `null`
| ) |  |
| private

Definition at line 301 of file ezsqliteschema.php.

Referenced by generateTableSQL().

## ◆ generateTableSchema()

eZSQLiteSchema::generateTableSchema | ( |  | $tableName,
|  |  | $table,
|  |  | $params
| ) |  |
| virtual

\reimp

Note
  Calls generateTableSQL() with $asArray set to `false`

Implements eZDBSchemaInterface.

Definition at line 363 of file ezsqliteschema.php.

References generateTableSQL().

## ◆ generateTableSQL()

eZSQLiteSchema::generateTableSQL | ( |  | $tableName,
|  |  | $tableDef,
|  |  | $params,
|  |  | $asArray,
|  |  | $separateTypes = `false`
| ) |  |
| private

Parameters

  $asArray | If `true` all SQLs are return in an array, if not they are returned as a string.

Note
  When returned as array the SQLs will not have a semi-colon to end the statement

Definition at line 384 of file ezsqliteschema.php.

References generateFieldDef().

Referenced by generateTableSchema(), and generateTableSQLList().

## ◆ generateTableSQLList()

eZSQLiteSchema::generateTableSQLList | ( |  | $tableName,
|  |  | $table,
|  |  | $params,
|  |  | $separateTypes
| ) |  |
| virtual

\reimp

Note
  Calls generateTableSQL() with $asArray set to `true`

Implements eZDBSchemaInterface.

Definition at line 372 of file ezsqliteschema.php.

References generateTableSQL().

## ◆ isMultiInsertSupported()

eZSQLiteSchema::isMultiInsertSupported | ( |  | ) |

\reimp

Reimplemented from eZDBSchemaInterface.

Definition at line 508 of file ezsqliteschema.php.

## ◆ parseType()

eZSQLiteSchema::parseType | ( |  | $type_info,
|  | & | $length_info
| ) |  |

Definition at line 199 of file ezsqliteschema.php.

Referenced by fetchTableFields().

## ◆ schema()

eZSQLiteSchema::schema | ( |  | $params = `array()` | ) |
| virtual

\reimp

Implements eZDBSchemaInterface.

Definition at line 13 of file ezsqliteschema.php.

References eZDBSchemaInterface\$Schema, fetchTableFields(), fetchTableIndexes(), and eZDBSchemaInterface\transformSchema().

## ◆ schemaName()

eZSQLiteSchema::schemaName | ( |  | ) |
| virtual

\reimp

Implements eZDBSchemaInterface.

Definition at line 537 of file ezsqliteschema.php.

## ◆ schemaType()

eZSQLiteSchema::schemaType | ( |  | ) |
| virtual

\reimp

Implements eZDBSchemaInterface.

Definition at line 529 of file ezsqliteschema.php.

The documentation for this class was generated from the following file:

- ezsqliteschema.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.